Skip to main content
GET
/
payouts
Retrieve Payout by Merchant Reference
curl --request GET \
  --url https://api-sandbox.y.uno/v1/payouts \
  --header 'private-secret-key: <api-key>' \
  --header 'public-api-key: <api-key>'
"[\n    {\n        \"id\": \"565c9733-000d-4066-a4bf-b084908dc74c\",\n        \"account_id\": \"f7c5fe77-721b-49c2-84d3-957748df3c2c\",\n        \"status\": \"SUCCEEDED\",\n        \"merchant_reference\": \"MR-Test-12345\",\n        \"purpose\": \"\",\n        \"country\": \"US\",\n        \"description\": \"Test\",\n        \"amount\": {\n            \"currency\": \"USD\",\n            \"value\": 100\n        },\n        \"beneficiary\": {\n            \"merchant_beneficiary_id\": \"test_merchant_deposit_id\",\n            \"national_entity\": \"INDIVIDUAL\",\n            \"first_name\": \"John\",\n            \"last_name\": \"Doe\",\n            \"legal_name\": \"John Doe\",\n            \"email\": \"john.doe@email.com\",\n            \"country\": \"US\",\n            \"date_of_birth\": \"1980-01-01\",\n            \"document\": {\n                \"document_type\": \"SSN\",\n                \"document_number\": \"123-45-6789\"\n            },\n            \"phone\": {\n                \"country_code\": \"1\",\n                \"number\": \"1234567890\"\n            },\n            \"address\": {\n                \"address_line_1\": \"123 Main St\",\n                \"address_line_2\": \"Apt 1\",\n                \"country\": \"US\",\n                \"state\": \"NY\",\n                \"city\": \"New York\",\n                \"zip_code\": \"10001\"\n            }\n        },\n        \"metadata\": [],\n        \"created_at\": \"2024-05-27T15:17:30.952178Z\",\n        \"updated_at\": \"2024-05-27T15:17:32.901454Z\",\n        \"transactions\": [\n            {\n                \"id\": \"bd594d5c-d7b7-48b1-9678-0b5052a69863\",\n                \"status\": \"SUCCEEDED\",\n                \"type\": \"ASTROPAY_PAYOUT\",\n                \"response_code\": \"SUCCEEDED\",\n                \"merchant_reference\": \"MR-Test-12345\",\n                \"purpose\": \"\",\n                \"description\": \"Test\",\n                \"amount\": {\n                    \"currency\": \"USD\",\n                    \"value\": 100\n                },\n                \"withdrawal_method\": {\n                    \"type\": \"ASTROPAY_PAYOUT\",\n                    \"detail\": {\n                        \"bank_transfer\": null,\n                        \"wallet\": {\n                            \"code\": \"h15sg84U6rCl\",\n                            \"email\": null,\n                            \"country\": null,\n                            \"document\": null,\n                            \"phone\": null\n                        }\n                    }\n                },\n                \"provider_data\": {\n                    \"id\": \"ASTROPAY\",\n                    \"transaction_id\": \"32376\",\n                    \"account_id\": \"\",\n                    \"beneficiary_id\": \"test_merchant_deposit_id\",\n                    \"status\": \"APPROVED\",\n                    \"status_detail\": \"APPROVED\",\n                    \"raw_response\": \"\\\"{\\\\n  \\\\\\\"cashout_id\\\\\\\" : 32376,\\\\n  \\\\\\\"merchant_cashout_id\\\\\\\" : \\\\\\\"bd594d5c-d7b7-48b1-9678-0b5052a69863\\\\\\\",\\\\n  \\\\\\\"status\\\\\\\" : \\\\\\\"APPROVED\\\\\\\",\\\\n  \\\\\\\"user_id\\\\\\\" : \\\\\\\"h15sg84U6rCl\\\\\\\"\\\\n}\\\"\"\n                },\n                \"created_at\": \"2024-05-27T15:17:31.265607Z\",\n                \"updated_at\": \"2024-05-27T15:17:32.901448Z\"\n            }\n        ]\n    }\n]\n"
This request enables you to retrieve details of a payout based on the merchant_reference, which needs to be provided as a query param.

Authorizations

public-api-key
string
header
default:<Your public-api-key>
required
private-secret-key
string
header
default:<Your private-secret-key>
required

Query Parameters

merchant_reference
string
required

Identification of the payout defined by the merchant.

Response

200

id
string
Example:

"565c9733-000d-4066-a4bf-b084908dc74c"

account_id
string
Example:

"f7c5fe77-721b-49c2-84d3-957748df3c2c"

status
string
Example:

"SUCCEEDED"

merchant_reference
string
Example:

"MR-Test-12345"

purpose
string
Example:

""

country
string
Example:

"US"

description
string
Example:

"Test"

amount
object
beneficiary
object
metadata
array
created_at
string
Example:

"2024-05-27T15:17:30.952178Z"

updated_at
string
Example:

"2024-05-27T15:17:32.901454Z"

transactions
object[]